org.apache.ignite.streamer.index

## Interface StreamerIndexProviderMBean

All Known Subinterfaces:
  StreamerIndexProvider<E,K,V>

All Known Implementing Classes:
  StreamerHashIndexProvider, StreamerIndexProviderAdapter, StreamerTreeIndexProvider

    public interface StreamerIndexProviderMBean

Streamer window index provider MBean.

### Method Summary

Methods
`String` `name()` Index name.
`StreamerIndexPolicy` `policy()` Gets index policy.
`int` `size()` Gets current index size.
`boolean` `sorted()` Returns `true` if index supports sorting and therefore can perform range operations.
`boolean` `unique()` Gets index unique flag.
`String` `updaterClass()` Gets index updater class name.

### Method Detail

#### name

    @MXBeanDescription(value="Index name.")
    @Nullable
    String name()

Index name.

Returns:
  Index name.

#### updaterClass

    @MXBeanDescription(value="Index updater class name.")
    String updaterClass()

Gets index updater class name.

Returns:
  Index updater class.

#### unique

    @MXBeanDescription(value="Index unique flag.")
    boolean unique()

Gets index unique flag.

Returns:
  Index unique flag.

#### sorted

    @MXBeanDescription(value="Index sorted flag.")
    boolean sorted()

Returns `true` if index supports sorting and therefore can perform range operations.

Returns:
  Index sorted flag.

#### policy

    @MXBeanDescription(value="Index policy.")
    StreamerIndexPolicy policy()

Gets index policy.

Returns:
  Index policy.

#### size

    @MXBeanDescription(value="Current index size.")
    int size()

Gets current index size.

Returns:
  Current index size.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015